import React, { useEffect, useState } from 'react';
import { Text, TouchableOpacity } from 'react-native';
import Modal from 'react-native-modal';
import SimpleImageView from './SimpleImageView';

const SimpleImageViewer = _ref => {
  let {
    isVisible = false,
    imageUri,
    imageTitle = '',
    images = [],
    bgColor,
    onClose
  } = _ref;
  const defaultImage = {
    uri: 'https://via.placeholder.com/2048/18A6F6'
  };
  const [thisVisible, setThisVisible] = useState(false);
  useEffect(() => {
    setThisVisible(isVisible);
  }, [isVisible]);

  const closeModal = () => {
    setThisVisible(false);

    if (onClose) {
      onClose(false);
    }
  };

  return /*#__PURE__*/React.createElement(Modal, {
    animationIn: 'slideInUp',
    animationOut: 'slideOutDown',
    style: {
      padding: 0,
      margin: 0
    },
    isVisible: thisVisible
  }, /*#__PURE__*/React.createElement(SimpleImageView, {
    imageUri: imageUri !== null && imageUri !== void 0 && imageUri.uri ? imageUri : defaultImage,
    imageTitle: imageTitle,
    images: images,
    bgColor: bgColor !== null && bgColor !== void 0 ? bgColor : '#333333'
  }), /*#__PURE__*/React.createElement(TouchableOpacity, {
    style: {
      position: 'absolute',
      top: 80,
      right: 0,
      height: 50,
      width: 50,
      alignItems: 'center',
      justifyContent: 'center'
    },
    onPress: closeModal
  }, /*#__PURE__*/React.createElement(Text, {
    style: {
      color: '#FFFFFF',
      fontSize: 25
    }
  }, `X`)));
};

export default SimpleImageViewer;
//# sourceMappingURL=SimpleImageViewer.js.map